#!/usr/bin/python2.6

from numpy import *
import matplotlib
matplotlib.use('Agg')

import matplotlib.pyplot as plt
import pylab
gs      = array([0, 0.1, 0.2, 0.3, 0.4, 0.5, 0.6, 0.7, 0.8, 0.9, 1.0, 1.5, 2.0, 2.5, 3.0, 4, 5, 10])
ogs     = -1*flipud(gs[1:])
gs      = concatenate((gs,ogs),1)

thetas  = arctan(gs)

xcoords = -sin(thetas)
ycoords = -cos(thetas)


irad = 1.27
orad = 1.35

nrad = 1.5
ocrad = 1.7

plt.plot([0],[0],'k+')


for i in range(0,gs.size):
    p1 = [xcoords[i]*orad, xcoords[i]*irad]
    p2 = [ycoords[i]*orad, ycoords[i]*irad]
    plt.plot(p1,p2,'k')
    t = -degrees(thetas[i])+90
    if t>90:
        t=t-180
    plt.annotate(str(abs(gs[i])),xy=(nrad*xcoords[i],nrad*ycoords[i]),size='small',rotation=t,ha='center',va='center') 

ocirctheta = linspace(0,pi,150)
xcpoints = -ocrad*cos(ocirctheta)
ycpoints = -ocrad*sin(ocirctheta)
plt.plot(xcpoints,ycpoints,'-k')


plt.setp(plt.gca(), frame_on=False,xticks=[], yticks = [])
plt.annotate('Smokey\'s G-meter \n 2010',xy=(0,-0.4),size='large',ha='center',va='center')
plt.axis([-2,2,-2,0.1])
plt.axes().set_aspect('equal')
pylab.savefig('/home/smokey/html/gmeter/gmeter.png') 
